package mapper

import (
	"go-humas-be/app/database/entity"
	res "go-humas-be/app/module/provinces/response"
)

func ProvincesResponseMapper(provincesReq *entity.Provinces) (provincesRes *res.ProvincesResponse) {
	if provincesReq != nil {
		provincesRes = &res.ProvincesResponse{
			ID:    provincesReq.ID,
			ProvName:    provincesReq.ProvName,
			LocationId:    provincesReq.LocationId,
			Status:    provincesReq.Status,
			Timezone:    provincesReq.Timezone,
		}
	}
	return provincesRes
}